Name:          grep
Version:       3.8
Release:       1mamba
Summary:       The GNU versions of grep pattern matching utilities
Group:         Applications/File
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnu.org/software/grep/grep.html
Source:        ftp://ftp.gnu.org/gnu/grep/grep-%{version}.tar.xz
Source1:       grep-profile
License:       GPL
Requires(post):%{__install_info}
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpcre2-devel
## AUTOBUILDREQ-END
BuildRequires: gettext-devel
BuildRequires: bison
Provides:      /bin/egrep
Provides:      /bin/fgrep
Provides:      /bin/grep

%description
The GNU versions of commonly used grep utilities.  
Grep searches one or more input files for lines which contain a match to a specified pattern and then prints the matching lines. GNU's grep utilities include grep, egrep and fgrep.
You should install grep on your system, because it is a very useful utility for searching through text files, for system administration tasks, etc.

%debug_package

%prep
%setup -q

%build
%configure \
   --without-included-regex

%make
#make check ||: 

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

install -D -m0755 %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/grep.sh
%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post
%install_info %{name}.info

%preun
%uninstall_info %{name}.info
:

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/profile.d/grep.sh
%{_bindir}/egrep
%{_bindir}/fgrep
%{_bindir}/grep
%{_infodir}/grep.info.*
#%{_mandir}/man1/egrep.*
#%{_mandir}/man1/fgrep.*
%{_mandir}/man1/grep.*
%doc AUTHORS COPYING THANKS
#%doc ChangeLog NEWS README TODO

%changelog
* Sun Sep 04 2022 Automatic Build System <autodist@mambasoft.it> 3.8-1mamba
- automatic version update by autodist

* Sun Aug 15 2021 Automatic Build System <autodist@mambasoft.it> 3.7-1mamba
- automatic version update by autodist

* Mon Nov 09 2020 Automatic Build System <autodist@mambasoft.it> 3.6-1mamba
- automatic version update by autodist

* Tue Sep 29 2020 Automatic Build System <autodist@mambasoft.it> 3.5-1mamba
- automatic version update by autodist

* Fri Jan 03 2020 Automatic Build System <autodist@mambasoft.it> 3.4-1mamba
- automatic version update by autodist

* Fri Dec 21 2018 Automatic Build System <autodist@mambasoft.it> 3.3-1mamba
- automatic version update by autodist

* Fri Dec 21 2018 Automatic Build System <autodist@mambasoft.it> 3.2-1mamba
- automatic version update by autodist

* Wed Jul 05 2017 Automatic Build System <autodist@mambasoft.it> 3.1-1mamba
- automatic version update by autodist

* Sun Feb 12 2017 Automatic Build System <autodist@mambasoft.it> 3.0-1mamba
- automatic version update by autodist

* Sat Dec 24 2016 Automatic Build System <autodist@mambasoft.it> 2.27-1mamba
- automatic version update by autodist

* Mon Oct 03 2016 Automatic Build System <autodist@mambasoft.it> 2.26-1mamba
- automatic version update by autodist

* Fri Apr 22 2016 Automatic Build System <autodist@mambasoft.it> 2.25-1mamba
- automatic version update by autodist

* Fri Mar 11 2016 Automatic Build System <autodist@mambasoft.it> 2.24-1mamba
- automatic version update by autodist

* Fri Feb 05 2016 Automatic Build System <autodist@mambasoft.it> 2.23-1mamba
- automatic version update by autodist

* Mon Nov 02 2015 Automatic Build System <autodist@mambasoft.it> 2.22-1mamba
- automatic version update by autodist

* Wed Oct 28 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.21-2mamba
- added profile.d aliases for colors

* Mon Nov 24 2014 Automatic Build System <autodist@mambasoft.it> 2.21-1mamba
- automatic version update by autodist

* Wed Jun 04 2014 Automatic Build System <autodist@mambasoft.it> 2.20-1mamba
- automatic version update by autodist

* Fri May 23 2014 Automatic Build System <autodist@mambasoft.it> 2.19-1mamba
- automatic version update by autodist

* Sat Feb 22 2014 Automatic Build System <autodist@mambasoft.it> 2.18-1mamba
- automatic version update by autodist

* Tue Feb 18 2014 Automatic Build System <autodist@mambasoft.it> 2.17-1mamba
- automatic version update by autodist

* Thu Jan 02 2014 Automatic Build System <autodist@mambasoft.it> 2.16-1mamba
- automatic version update by autodist

* Sun Oct 27 2013 Automatic Build System <autodist@mambasoft.it> 2.15-1mamba
- automatic version update by autodist

* Mon Aug 20 2012 Automatic Build System <autodist@mambasoft.it> 2.14-1mamba
- automatic version update by autodist

* Thu Jul 05 2012 Automatic Build System <autodist@mambasoft.it> 2.13-1mamba
- automatic version update by autodist

* Tue Apr 24 2012 Automatic Build System <autodist@mambasoft.it> 2.12-1mamba
- automatic version update by autodist

* Fri Mar 02 2012 Automatic Build System <autodist@mambasoft.it> 2.11-1mamba
- automatic version update by autodist

* Thu Nov 17 2011 Automatic Build System <autodist@mambasoft.it> 2.10-1mamba
- update to 2.10

* Wed Jun 22 2011 Automatic Build System <autodist@mambasoft.it> 2.9-1mamba
- automatic update by autodist

* Sat May 14 2011 Automatic Build System <autodist@mambasoft.it> 2.8-1mamba
- automatic update by autodist

* Sat Sep 25 2010 Davide Madrisan <davide.madrisan@gmail.com> 2.7-1mamba
- update to 2.7
- removed cross build patch (merged upstream)

* Tue Apr 06 2010 Automatic Build System <autodist@mambasoft.it> 2.6.3-1mamba
- automatic update to 2.6.3 by autodist

* Fri Apr 02 2010 Davide Madrisan <davide.madrisan@gmail.com> 2.6.1-1mamba
- update to 2.6.1

* Wed Mar 24 2010 Davide Madrisan <davide.madrisan@gmail.com> 2.6-1mamba
- update to 2.6
- add package documentation

* Tue Feb 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.4-1mamba
- automatic update to 2.5.4 by autodist

* Wed Jun 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.3-2mamba
- remove descriptions pre-formatting (line breaks)
- fixed maintainer email

* Tue May 06 2008 Tiziana Ferro <tiziana.ferro@email.it> 2.5.3-1mamba
- update to 2.5.3

* Thu Apr 13 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.5.1a-1qilnx
- update to version 2.5.1a by autospec

* Tue Apr 05 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.5.1-3qilnx
- added missing prereq (install-info)

* Tue Apr 05 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.5.1-2qilnx
- made grep utilities LSB 2.0 compliant
- specfils updates
- added missing scripts for info files

* Tue Jul 27 2004 Davide Madrisan <davide.madrisan@qilinux.it>  2.5.1-1qilnx
- update to 2.5.1

* Wed May 19 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5-5qilnx
- rebuilt with --without-included-regex

* Wed Feb 25 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.5-4qilnx
- specfile updated

* Wed Apr 23 2003 Silvan Calarco <silvan.calarco@qinet.it> 2.5-3qilnx
- added packaging of symlinks (egrep, fgrep) needed by mkinitrd

* Tue Apr 22 2003 Silvan Calarco <silvan.calarco@qinet.it> 2.5-2qilnx
- corrected location of info dir

* Mon Apr 07 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it> 2.5-1qilnx
- creation of grep package
